<template>
	<main>
		<div class="container">
			<!-- Text color -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Text Color</h2>
				<p class="text-primary">Text class color = ".text-primary"</p>
				<p class="text-secondary">Text class color = ".text-secondary"</p>
				<p class="text-warning">Text class color = ".text-warning"</p>
				<p class="text-danger">Text class color = ".text-danger"</p>
				<p class="text-black">Text class color = ".text-black"</p>
				<p class="text-light-grey">Text class color = ".text-light-grey"</p>
				<p class="text-white">Text class color = ".text-white"</p>
				<div class="text-size14">
					<pre><code class="code-container">&lt;p class=&quot;text-primary&quot;&gt;Text class color = &quot;.text-primary&quot;&lt;/p&gt;
&lt;p class=&quot;text-secondary&quot;&gt;Text class color = &quot;.text-secondary&quot;&lt;/p&gt;
&lt;p class=&quot;text-warning&quot;&gt;Text class color = &quot;.text-warning&quot;&lt;/p&gt;
&lt;p class=&quot;text-danger&quot;&gt;Text class color = &quot;.text-danger&quot;&lt;/p&gt;
&lt;p class=&quot;text-black&quot;&gt;Text class color = &quot;.text-black&quot;&lt;/p&gt;
&lt;p class=&quot;text-light-grey&quot;&gt;Text class color = &quot;.text-light-grey&quot;&lt;/p&gt;
&lt;p class=&quot;text-white&quot;&gt;Text class color = &quot;.text-white&quot;&lt;/p&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- Background color -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Background Color</h2>
				<p class="bg-primary">Background class color = ".bg-primary"</p>
				<p class="bg-secondary">Background class color = ".bg-secondary"</p>
				<p class="bg-warning">Background class color = ".bg-warning"</p>
				<p class="bg-danger">Background class color = ".bg-danger"</p>
				<p class="bg-black">Background class color = ".bg-black"</p>
				<p class="bg-light-grey">Background class color = ".bg-light-grey"</p>
				<p class="bg-white">Background class color = ".bg-white"</p>
				<div class="text-size14">
					<pre><code class="code-container">&lt;p class=&quot;bg-primary&quot;&gt;Background class color = &quot;.bg-primary&quot;&lt;/p&gt;
&lt;p class=&quot;bg-secondary&quot;&gt;Background class color = &quot;.bg-secondary&quot;&lt;/p&gt;
&lt;p class=&quot;bg-warning&quot;&gt;Background class color = &quot;.bg-warning&quot;&lt;/p&gt;
&lt;p class=&quot;bg-danger&quot;&gt;Background class color = &quot;.bg-danger&quot;&lt;/p&gt;
&lt;p class=&quot;bg-black&quot;&gt;Background class color = &quot;.bg-black&quot;&lt;/p&gt;
&lt;p class=&quot;bg-light-grey&quot;&gt;Background class color = &quot;.bg-light-grey&quot;&lt;/p&gt;
&lt;p class=&quot;bg-white&quot;&gt;Background class color = &quot;.bg-white&quot;&lt;/p&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- Black tones -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Black Tones</h2>
				<p class="text-black10">
					Black tone = ".text-black10" ($black10)
					<span class="bg-black10">___</span>
				</p>
				<p class="text-black20">
					Black tone = ".text-black20" ($black20)
					<span class="bg-black20">___</span>
				</p>
				<p class="text-black30">
					Black tone = ".text-black30" ($black30)
					<span class="bg-black30">___</span>
				</p>
				<p class="text-black40">
					Black tone = ".text-black40" ($black40)
					<span class="bg-black40">___</span>
				</p>
				<p class="text-black50">
					Black tone = ".text-black50" ($black50)
					<span class="bg-black50">___</span>
				</p>
				<p class="text-black60">
					Black tone = ".text-black60" ($black60)
					<span class="bg-black60">___</span>
				</p>
				<p class="text-black70">
					Black tone = ".text-black70" ($black70)
					<span class="bg-black70">___</span>
				</p>
				<p class="text-black80">
					Black tone = ".text-black80" ($black80)
					<span class="bg-black80">___</span>
				</p>
				<p class="text-black90">
					Black tone = ".text-black90" ($black90)
					<span class="bg-black90">___</span>
				</p>
				<p class="text-black">
					Black tone = ".text-black" ($black) <span class="bg-black">___</span>
				</p>
				<div class="text-size14">
					<pre><code class="code-container">&lt;p class=&quot;text-black10&quot;&gt;Black tone = &quot;.text-black10&quot; ($black10)&lt;/p&gt;
&lt;p class=&quot;text-black20&quot;&gt;Black tone = &quot;.text-black20&quot; ($black20)&lt;/p&gt;
&lt;p class=&quot;text-black30&quot;&gt;Black tone = &quot;.text-black30&quot; ($black30)&lt;/p&gt;
&lt;p class=&quot;text-black40&quot;&gt;Black tone = &quot;.text-black40&quot; ($black40)&lt;/p&gt;
&lt;p class=&quot;text-black50&quot;&gt;Black tone = &quot;.text-black50&quot; ($black50)&lt;/p&gt;
&lt;p class=&quot;text-black60&quot;&gt;Black tone = &quot;.text-black60&quot; ($black60)&lt;/p&gt;
&lt;p class=&quot;text-black70&quot;&gt;Black tone = &quot;.text-black70&quot; ($black70)&lt;/p&gt;
&lt;p class=&quot;text-black80&quot;&gt;Black tone = &quot;.text-black80&quot; ($black80)&lt;/p&gt;
&lt;p class=&quot;text-black90&quot;&gt;Black tone = &quot;.text-black90&quot; ($black90)&lt;/p&gt;
&lt;p class=&quot;text-black&quot;&gt;Black tone = &quot;.text-black&quot; ($black)&lt;/p&gt;</code></pre>
				</div>
			</div>
			<hr />

			<!-- Link color -->
			<div class="mb-24">
				<h2 class="page-title font-fira">Link Color</h2>
				<p>
					Link color = <a class="link-primary" href="#">".link-primary"</a> (<a
						href="#"
						>Default link color</a
					>)
				</p>
				<p>
					Link color = <a class="link-secondary" href="#">".link-secondary"</a>
				</p>
				<p>Link color = <a class="link-warning" href="#">".link-warning"</a></p>
				<p>Link color = <a class="link-danger" href="#">".link-danger"</a></p>
				<p>Link color = <a class="link-black" href="#">".link-black"</a></p>
				<p>
					Link color =
					<a class="link-light-grey" href="#">".link-light-grey"</a>
				</p>
				<p>Link color = <a class="link-white" href="#">".link-white"</a></p>
				<div class="text-size14">
					<pre><code class="code-container">&lt;p&gt;Link color = &lt;a class=&quot;link-primary&quot; href=&quot;#&quot;&gt;&quot;.link-primary&quot;&lt;/a&gt; (&lt;a href=&quot;#&quot;&gt;Default link color&lt;/a&gt;)&lt;/p&gt;
&lt;p&gt;Link color = &lt;a class=&quot;link-secondary&quot; href=&quot;#&quot;&gt;&quot;.link-secondary&quot;&lt;/a&gt;&lt;/p&gt;
&lt;p&gt;Link color = &lt;a class=&quot;link-warning&quot; href=&quot;#&quot;&gt;&quot;.link-warning&quot;&lt;/a&gt;&lt;/p&gt;
&lt;p&gt;Link color = &lt;a class=&quot;link-danger&quot; href=&quot;#&quot;&gt;&quot;.link-danger&quot;&lt;/a&gt;&lt;/p&gt;
&lt;p&gt;Link color = &lt;a class=&quot;link-black&quot; href=&quot;#&quot;&gt;&quot;.link-black&quot;&lt;/a&gt;&lt;/p&gt;
&lt;p&gt;Link color = &lt;a class=&quot;link-light-grey&quot; href=&quot;#&quot;&gt;&quot;.link-light-grey&quot;&lt;/a&gt;&lt;/p&gt;
&lt;p&gt;Link color = &lt;a class=&quot;link-white&quot; href=&quot;#&quot;&gt;&quot;.link-white&quot;&lt;/a&gt;&lt;/p&gt;</code></pre>
				</div>
			</div>
			<hr />
		</div>
	</main>
</template>

<script>
export default {
	name: 'ColorsPage'
}
</script>

<style lang="scss" scoped></style>
